#include <iostream>
#include <conio.h>
#include "SerialGate.h"


int main()
{
	int port = 2;
	int rate = 57600;

	SerialGate sg;
	
	bool res = sg.Open(port, rate);
	if(res == false)
	{
		printf("Open Error..\n");
		getch();
		return 0;
	}
	else
	{
		printf("Open OK!..\n");
	}

	printf("Get data from COM port every 1 sec.\n\n");
	
	char buf[20];
	int dwBytesRead = 0;
	bool terminate  = false;

	while(!terminate)
	{		
		Sleep(1000);
		dwBytesRead = sg.Recv(buf, sizeof(buf));		

		for(int i = 0; i < dwBytesRead; i++)
		{
			printf("%c", buf[i]);
			if(buf[i] == '#')
			{
				terminate = true;
				break;
			}
		}	
	}

	
	sg.Close();

	return 0;
}
