#include <iostream>
#include <conio.h>
#include "SerialGate.h"


int main()
{
	int port = 1;
	int rate = 57600;

	SerialGate sg;

	bool res = sg.Open(port, rate);
	if(res == false)
	{
		printf("Open Error..\n");
		getch();
		return 0;
	}
	else
	{
		printf("Open OK!..\n");
	}

	printf("Press key to send it to COM port.\n");
	printf("Press '#' to exit.\n\n");

	while(true)
	{
		char c = getch();
		printf("%c", c);

		sg.Send(&c, sizeof(c));

		if(c == '#')
			break;
	}

	sg.Close();

	getch();
	return 0;
}
